var timer;

function fired() {
	if (sizer) {
		sizer.bar.hOffset = system.event.hOffset - sizer.bar.width/2;
		sizer.track.vOffset = system.event.vOffset - sizer.track.height/2;
		sizer.track.hOffset = system.event.hOffset - sizer.track.width/2;
	}
	else
		timer = null;
} // end fired

function sized() {
	var nc=0;
	for (var c=0; c<timelines.length; c++)
		if (timelines[c].visible()) nc++;
	if (preferences.Columns.value < nc) nc = preferences.Columns.value;
	preferences.ColumnWidth.value = (system.event.hOffset - tlFrame.hOffset) / nc;
	colWidth = parseInt(preferences.ColumnWidth.value);
	sizer.icon.opacity = 255;
	sizer.bar.visible = sizer.track.visible = false;
	timer = null;
	for (var i=0; i < taskList.length; i++)
		taskList[i].update();
	redraw();
	sizer.icon.hOffset = tlFrame.hOffset + tlFrame.width - 10;
} // end sized

function selected() {
	sizer.icon.opacity = 100;
	sizer.bar.visible = sizer.track.visible = true;
	timer = new Timer();
	timer.interval = 0.03;
	timer.ticking = true;
	timer.onTimerFired = "fired();";
	main_window.width = screen.availWidth - main_window.hOffset;
} // end selected

function Sizer() {
	this.icon = new Image();
	this.icon.src = "Resources/resizeicon.png";
	main_window.root.addSubview(this.icon);
	this.icon.opacity = 255;
	this.icon.onMouseDown = "selected();";
	this.icon.tooltip = "click here to bring up window sizing bar - click again to set widget window width";
	this.bar = new Image();
	this.bar.src = "Resources/verticalbar.png";
	this.bar.visible = false;
	this.bar.opacity = 128;
	main_window.root.addSubview(this.bar);
	this.track = new Image();
	this.track.src = "Resources/trackball.png";
	this.track.visible = false;
	this.track.onMouseUp = "sized();";
	main_window.root.addSubview(this.track);

	this.destruct = function() {
		this.icon.removeFromSuperview();
		this.bar.removeFromSuperview();
		this.track.removeFromSuperview();
	} // end destruct

	this.update = function() {
		this.icon.hOffset = tlFrame.hOffset + tlFrame.width - 10;
		this.icon.vOffset = tlFrame.height/2;
		this.bar.hOffset = this.icon.hOffset
		this.bar.vOffset = tlFrame.vOffset;
		this.bar.height = tlFrame.height;
		this.track.hOffset = this.icon.hOffset
		this.track.vOffset = tlFrame.vOffset;
	} // end update

	this.update();

} // end Sizer